/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Consultores;
import com.cosmodas.EntCosmos.ProcesoPedidos;

import java.util.Date;
import java.util.List;
import javax.ejb.Local;

/**
 * @author informatica
 */
@Local
public interface ProcesoPedidosFacadeLocal {

    void create(ProcesoPedidos procesoPedidos);

    void edit(ProcesoPedidos procesoPedidos);

    void remove(ProcesoPedidos procesoPedidos);

    ProcesoPedidos find(Object id);

    List<ProcesoPedidos> findAll();

    List<ProcesoPedidos> findRange(int[] range);

    int count();

    List<ProcesoPedidos> pedidosCreditos();

    List<ProcesoPedidos> pedidoDespacho();

    List<ProcesoPedidos> pedidosCreditosRep(String territorio);

    List<ProcesoPedidos> pedidoDespachoRep(String territorio);

    void editaProceso(ProcesoPedidos pedido);

    void editaProcesob(ProcesoPedidos ped);

    void editaImpresion(int ped);

    ProcesoPedidos busquedaFechaCodigo(Consultores cosultorCodigo, Date fecha);

    ProcesoPedidos busquedaUltimoPedido();

    Integer obtenerCorrelativoDespacho(int tipoPedido);

    List<ProcesoPedidos> reportePedidosDespacho();

    List<ProcesoPedidos> reportePedidosDespachoPrep();

    List<ProcesoPedidos> reportePedidosDespachoFact();

    List<ProcesoPedidos> pedidosPorTerritorios(String territorio);

    List<ProcesoPedidos> pedidosPorTerritoriosFact(String territorio);

    List<ProcesoPedidos> pedidosPorTerritoriosPrep(String territorio);

}
